IBM Support

TSM backup and recovery support for VMware Consolidated Backup (VCB)

Technote (FAQ)


Question

VMware recently announced End of Availability for VMware Consolidated Backup (VCB). How does this affect IBM Tivoli Storage Manager (TSM) support for backup and recovery of VMware environments?

Answer

This information is provided in reference to VMware's "VMware Consolidated Backup - End of Availability Announcement" which was distributed by VMware through their Partner Newsletter on 02/24/2010. In this statement VMware stated " ... with the release of the next vSphere platform, we will continue to provide the binaries for VCB, but they will not be compatible with the next platform release." This statement was in reference to vSphere 4.1 which included ESX 4.1 and ESXi 4.1. VMware later revised this statement in their vSphere 4.1 related release notes (reference: http://www.vmware.com/support/vsphere4/doc/vsp_esx41_vc41_rel_notes.html) and indicated " ... VMware has extended the end of availability timeline for VCB and added VCB support for vSphere 4.1. VMware will continue to support VCB 1.5 Update 2 for vSphere 4.1 and its subsequent update and patch releases through the end of their lifecycles."

Tivoli Storage Manager will continue to provide support for backup and recovery for the current VMware Virtual Infrastructure and VMware vSphere platforms if the supporting TSM release level is still in support. Refer to the following table for details and software prerequisites based on your current TSM and VMware environments and current method for backup and recovery:

VMware Platforms and Supported Hypervisors
Software Prerequisites for Supported
VMware Off-Host Backup and Recovery Methods
TSM Backup-
Archive Client version
VMware Virtual Infra-
structure
VMware vSphere
VMware virtual machine file-level backup and recovery
(Windows virtual machine guest operating systems only)
VMware virtual machine full-machine backup and recovery
(any virtual machine guest operating system)
TSM Server prerequisites
TSM V5.5, which has reached End of Support (EOS) ESX 3.0, ESX 3.5, ESXi 3.5 ESX 4.0 and 4.1, ESXi 4.0 and 4.1
  • VMware Consolidated Backup (VCB) 1.5 Update 2
  • VMware Consolidated Backup (VCB) 1.5 Update 2
  • VMware TSM Integration Module for VCB
  • TSM 5.5.2.0 (or higher) or
  • TSM 6.1.3.0 (or higher) or
  • TSM 6.2.0.0 (or higher)
All of these TSM server levels have reached End of Support (EOS)
TSM V6.1,
which has reached End of Support (EOS)
ESX 3.0, ESX 3.5, ESXi 3.5 ESX 4.0 and 4.1, ESXi 4.0 and 4.1
  • VMware Consolidated Backup (VCB) 1.5 Update 2
  • VMware Consolidated Backup (VCB) 1.5 Update 2
  • TSM 5.5.2.0 (or higher) or
  • TSM 6.1.3.0 (or higher) or
  • TSM 6.2.0.0 (or higher)
All of these TSM server levels have reached End of Support (EOS)
TSM V6.2.0 and V6.2.1,
which has reached End of Support (EOS)
ESX 3.0, ESX 3.5, ESXi 3.5 ESX 4.0 and 4.1, ESXi 4.0 and 4.1
  • does not require any additional VMware software (integrated with VMware vStorage APIs for Data Protection)
  • VMware Consolidated Backup (VCB) 1.5 Update 2
  • TSM 5.5.2.0 (or higher) or
  • TSM 6.1.3.0 (or higher) or
  • TSM 6.2.0.0 (or higher)
All of these TSM server levels have reached End of Support (EOS)
TSM V6.2.x
(x >= 2),
which has reached End of Support (EOS)
ESX 3.0, ESX 3.5, ESXi 3.5 ESX 4.0 and 4.1, ESXi 4.0 and 4.1
  • does not require any additional VMware software (integrated with VMware vStorage APIs for Data Protection)
  • VMware Consolidated Backup (VCB) 1.5 Update 2 (default) or
  • Users can use VMware vStorage APIs for Data Protection which are integrated with the TSM Backup-Archive client and does not require any additional VMware software
  • TSM 5.5.2.0 (or higher) or
  • TSM 6.1.3.0 (or higher) or
  • TSM 6.2.0.0 (or higher)
All of these TSM server levels have reached End of Support (EOS)
TSM V6.3 None ESX 4.0 and 4.1, ESXi 4.0, 4.1, and 5.0
  • does not require any additional VMware software (integrated with VMware vStorage APIs for Data Protection)
  • does not require any additional VMware software (integrated with VMware vStorage APIs for Data Protection)
  • TSM 6.1.3.0 (or higher) or
  • TSM 6.2.0.0 (or higher)
  • TSM 6.3.0.0 (or higher)
The 6.1 and 6.2 TSM Servers have reached End of Support (EOS)

Document information

More support for: Tivoli Storage Manager
Client

Software version: 6.3

Operating system(s): Windows 2003, Windows 2008 server

Software edition: Edition Independent

Reference #: 1426059

Modified date: 19 May 2015